Upstream information

CVE-2015-2141 at MITRE

Description

The InvertibleRWFunction::CalculateInverse function in rw.cpp in libcrypt++ 5.6.2 does not properly blind private key operations for the Rabin-Williams digital signature algorithm, which allows remote attackers to obtain private keys via a timing attack.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5
Vector AV:N/AC:L/Au:N/C:P/I:N/A:N
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact None
Availability Impact None
SUSE Bugzilla entry: 936435 [RESOLVED / FIXED]

SUSE Security Advisories:

    openSUSE-SU-2015:1271-1

List of released packages

Product(s) Fixed package version(s) References
SUSE Enterprise Storage 7.1
SUSE Linux Enterprise Desktop 15 SP3
SUSE Linux Enterprise High Performance Computing 15 SP3
SUSE Linux Enterprise Module for Basesystem 15 SP3
SUSE Linux Enterprise Server 15 SP3
SUSE Linux Enterprise Server for SAP Applications 15 SP3
SUSE Manager Proxy 4.2
SUSE Manager Retail Branch Server 4.2
SUSE Manager Server 4.2
  • libcryptopp-devel >= 5.6.5-1.3.1
  • libcryptopp5_6_5 >= 5.6.5-1.3.1
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP3 GA libcryptopp-devel-5.6.5-1.3.1
SUSE Linux Enterprise Desktop 15 SP4
SUSE Linux Enterprise High Performance Computing 15 SP4
SUSE Linux Enterprise Module for Basesystem 15 SP4
SUSE Linux Enterprise Server 15 SP4
SUSE Linux Enterprise Server for SAP Applications 15 SP4
SUSE Manager Proxy 4.3
SUSE Manager Retail Branch Server 4.3
SUSE Manager Server 4.3
  • libcryptopp-devel >= 8.6.0-150400.1.6
  • libcryptopp8_6_0 >= 8.6.0-150400.1.6
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP4 GA libcryptopp-devel-8.6.0-150400.1.6
SUSE Linux Enterprise Desktop 15 SP5
SUSE Linux Enterprise High Performance Computing 15 SP5
SUSE Linux Enterprise Module for Basesystem 15 SP5
SUSE Linux Enterprise Server 15 SP5
SUSE Linux Enterprise Server for SAP Applications 15 SP5
  • libcryptopp-devel >= 8.6.0-150400.1.6
  • libcryptopp8_6_0 >= 8.6.0-150400.1.6
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP5 GA libcryptopp-devel-8.6.0-150400.1.6
openSUSE Tumbleweed
  • libcryptopp-devel >= 5.6.4-1.3
  • libcryptopp-devel-static >= 5.6.4-1.3
  • libcryptopp5_6 >= 5.6.4-1.3
  • libcryptopp5_6-32bit >= 5.6.4-1.3
Patchnames:
openSUSE-Tumbleweed-2024-10336


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products past their end of life and not receiving proactive updates anymore.
SUSE Cloud 4 libcryptopp Ignore
SUSE Cloud 4 Dependencies libcryptopp Ignore


SUSE Timeline for this CVE

CVE page created: Mon Jun 29 12:39:14 2015
CVE page last modified: Sat Jun 15 22:31:49 2024